Skip to content
GBG Documents & Biometrics Documentation

/Liveness/id

POST
/Liveness/id
curl --request POST \
--url https://liveness-v2-eu.core.idscan.cloud/Liveness/id \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form ImageId=example \
--form 'AdditionalData={ "additionalProperty": "example" }'

Facial Passive liveness Endpoint detects biometric spoofing from a single selfie image, without introducing friction or bias.

Documents and Biometrics Core Passive Liveness Service endpoint allows for a single portrait facial image (selfie/face image) to be uploaded (by caching process) for processing to determine the probability that the end user was present at the time of capture (Please reach out to your support representative for the “Documents Biometrics Liveness Guide” for further guidance on authentication). The endpoint will return a result after processing. The results is a score value between 0 and 100, with a score of 50 and above been considered a pass.

x-correlation-id
string

Correlation Id for the request

Media typemultipart/form-data
object
ImageId

Gets or sets the identifier of the liveness verification request.

string
AdditionalData

Key value pair to include any additional metadata for the request.

object
key
additional properties
string
nullable
RequestId
string
CorrelationId
string

Returns a success on the Endpoint after processing the submitted selfie image.This code does not indicate a success on the Liveness validation of the selfie itself but rather a success on the call to the Endpoint.The Liveness validation result is in the response body (See Response Body section below).

Response from the liveness validation.

object
correlationId
string
nullable
score

Validation result score from the liveness provider. Accepted values are in the range of 0 - 100. The value is unbounded, the bigger the score the higher the image’s liveness. Score of 50 and above is considered a pass.

integer format: int32
result

Validation pass or fail result from the score. Score of 50 and above is considered a pass.

string
nullable

Error with the provided parameters, please, check the response provided to get more insights on the problem.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable

Not Found

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable

Internal error during our processing, please, get in touch with support so we can help you.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable